reset 
set title "CuAg (256 atoms), CLAIX 2018"
set xrange[1:8]
set yrange[0.5:5]
set key top left
set xlabel "Number of nodes, 48 cores each"

f(x) = x
waste(x) = 0.5*x

iter1 = 3193.56
#vgen1 = 23.91
#sph1  = 44.35
#nsph1 = 59.54
#diag1 = 198.58
#char1 = 33.07
#mix1  = 0.01

iter_min = iter1/60.
#vgen_pr  = vgen1/iter1 * 100
#sph_pr   = sph1 /iter1 * 100
#nsph_pr  = nsph1/iter1 * 100
#diag_pr  = diag1/iter1 * 100
#char_pr  = char1/iter1 * 100
#mix_pr   = mix1 /iter1 * 100

set ylabel sprintf( "Speedup, running time on one node %d minutes", iter_min)

plot "timing" u 1:(iter1/$11 ) w lp lw 4 t "Total"
#rep  "timing" u 1:(vgen1/$15) w lp lw 2 t sprintf( "Potential generation, %3.2f%%",vgen_pr)
#rep  "timing" u 1:(sph1 /$17) w lp lw 2 t sprintf( "Sph setup, %3.2f%%",sph_pr)
#rep  "timing" u 1:(nsph1/$19) w lp lw 2 t sprintf( "Non-sph setup, %3.2f%%",nsph_pr)
#rep  "timing" u 1:(diag1/$21) w lp lw 2 t sprintf ("Diagonalization, %3.2f%%", diag_pr) 
#rep  "timing" u 1:(char1/$23) w lp lw 2 t sprintf ("New charge generation, %3.2f%%", char_pr)
#rep  "timing" u 1:(mix1 /$25) w lp lw 2 t sprintf ("Mixing, %3.2f%%", mix_pr)
rep f(x) t "Ideal"
rep waste(x) t "Waste"

